weka.core.pmml

## Enum FieldMetaInfo.Value.Property

- java.lang.Object
- - java.lang.Enum<FieldMetaInfo.Value.Property>
  - - weka.core.pmml.FieldMetaInfo.Value.Property

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FieldMetaInfo.Value.Property>
  Enclosing class:
    FieldMetaInfo.Value

      public static enum FieldMetaInfo.Value.Property
      extends java.lang.Enum<FieldMetaInfo.Value.Property>

  Enumerated type for the property. A value can be valid, invalid or indicate a value that should be considered as "missing".

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INVALID`
    `MISSING`
    `VALID`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static FieldMetaInfo.Value.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FieldMetaInfo.Value.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALID

          public static final FieldMetaInfo.Value.Property VALID

    - #### INVALID

          public static final FieldMetaInfo.Value.Property INVALID

    - #### MISSING

          public static final FieldMetaInfo.Value.Property MISSING

  - ### Method Detail

    - #### values

          public static FieldMetaInfo.Value.Property[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldMetaInfo.Value.Property c : FieldMetaInfo.Value.Property.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldMetaInfo.Value.Property valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<FieldMetaInfo.Value.Property>`